
@import 'root.css';
@import 'form-controls.css';
@import 'utilities.css';
@import 'modals.css';


/**/
body {background-color:#eff7f8;}



.sec-title		{font-size:19px; font-weight:600; color:var(--ua-primary-alt); line-height:78%;}
.heading-text	{font-size:19px; font-weight:600; color:var(--ua-primary-alt); line-height:30px;}

.sec-title01	{font-size:20px; font-weight:600; color:var(--ua-primary-alt); line-height:125%;}


/* Container UA: fluid until 1300px, then 1250px wide */
.container-ua {
	--bs-gutter-x: 1.5rem;
	--bs-gutter-y: 0;
	width: 100%;
	padding-right: calc(var(--bs-gutter-x) * .5);
	padding-left: calc(var(--bs-gutter-x) * .5);
	margin-right: auto;
	margin-left: auto;
}

@media (min-width: 1300px) {
	.container-ua {
		max-width: 1274px;
	}
}



/* Header - menu principal */
.site-header {padding:17px 30px 16px; background-color: #002447; line-height: 1.3; min-height:var(--ua-site-header-mobile);}
.navtop {display:flex; justify-content:flex-end; font-size:12px; color:#fff;}
.navtop .header-logo img {height:25px;}
.navtop .navtop-toggler-icon {width:31px; height:31px; margin-left:8px; color:#fff;}


@media (min-width: 992px) {
	.site-header {padding:15px 30px; min-height:var(--ua-site-header-desktop);}
	
	.navtop .header-logo img {height:35px;}
	.navtop .navtop-toggler-icon {width:31px; height:31px; margin-left:18px;}
}


/* Offcanvas menu principal */
.offcanvas-backdrop.show {opacity: .4;}

.offcanvas.offcanvas-navbar {top:var(--ua-site-header-mobile); width:320px; border-left:0; border-radius:0 0 0 20px;}

/* .site-menu {padding:30px 20px; width:100%; max-width:380px; background:#fff; border-radius:20px; color:var(--ua-primary); box-shadow:0px 2px 20px 0px rgba(0, 0, 0, 0.10);} */
.site-menu {padding:30px 20px; width:100%; background:#fff; color:var(--ua-primary);}

.site-menu .sm-header {padding:10px 0 20px; text-align:center;}
.site-menu .sm-header .avatar {width:60px; height:60px; margin-bottom:5px;}
.site-menu .sm-header .usuario {padding:5px 0; font-size: 14px; font-weight: 600; line-height: 125%; letter-spacing: 0.42px;}
.site-menu .sm-header .emisora {font-size: 11px; line-height: 135.5%;}

.site-menu .sm-nav {font-size:12px; font-weight:600; line-height:125%; letter-spacing:0.36px;}
.site-menu .sm-nav ul {margin:0; padding:0; list-style:none;}
.site-menu .sm-nav a  {text-decoration:none;}
.site-menu .sm-nav .sm-nav-item:not(:last-child) {margin-bottom:10px; border-bottom:1px solid #EDEDF4;}

.site-menu .sm-nav .sm-nav-link {display:flex; align-items:center; gap:10px; overflow-anchor: none;}
.site-menu .sm-nav .sm-nav-link[data-bs-toggle]::after {content: ""; margin-left:auto; width:24px; height:24px;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 24 24'%3E%3Cpath stroke='%23004986' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m6 9 6 6 6-6'/%3E%3C/svg%3E");
	background-repeat: no-repeat;
	background-size: 24px;
	transition: transform 0.2s ease-in-out;
}
.site-menu .sm-nav .sm-nav-link[data-bs-toggle]:not(.collapsed)::after {
	transform: rotate(-180deg);
}

.site-menu .sm-nav .sm-nav-link .svg-icon {width:24px; height:24px;}

.site-menu .sm-nav .sm-nav-submenu {}
.site-menu .sm-nav .sm-nav-submenu li {padding:10px 35px;}
.site-menu .sm-nav .sm-nav-submenu li.sel {background-color:#E2F5F5;}
.site-menu .sm-nav .sm-nav-submenu li a {display:block;}


@media (min-width: 992px) {
	/* .offcanvas-backdrop.show {opacity:0;} */
	
	.offcanvas.offcanvas-navbar {top:calc(var(--ua-site-header-desktop) + 15px); right:30px; width:380px; border-radius:0; background-color:transparent;}
	
	.site-menu {padding:30px 20px; width:100%; border-radius:20px; color:var(--ua-primary); box-shadow:0px 2px 20px 0px rgba(0, 0, 0, 0.10);}
}




/**/
.navbar-progress {display:flex; padding:15px 0 20px; align-items:flex-start; gap:15px; text-align:center;}
.navbar-progress .navbar-progress-step {flex: 1 0 0; font-size:11px; font-weight:500; line-height:13px; color:#4F748E;}
.navbar-progress .navbar-progress-step::before {content:""; display:block; width:100%; height:10px; margin-bottom:10px; border-radius:5px; background:#4F748E;}
.navbar-progress .navbar-progress-step--on {color:var(--ua-pink);}
.navbar-progress .navbar-progress-step--on::before {background:var(--ua-pink);}

@media (min-width: 992px) {
	.navbar-progress {padding:20px 0px;}
}



/**/
.descarga {
	position:fixed; bottom: 0; left: 0; right: 0;
	border-radius:20px 20px 0px 0px; background:#002447; box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.25); text-align:center; color:#fff;}
.descarga .header {padding:10px 16px;}
.descarga .toggler {
	position:relative; display:flex; align-items:center; justify-content: center; gap:10px;
	font-size:0.8125rem; font-weight:600; line-height:125%; text-decoration:none; color:#fff;
}
.descarga .toggler::before {
	content:""; width:13px; height:8px;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 14 8'%3E%3Cpath fill='%2300C4DF' d='M11.956 8 7 3.055 2.045 8 .522 6.478 7 0l6.478 6.478L11.956 8Z'/%3E%3C/svg%3E%0A");
	background-repeat: no-repeat;
}
.descarga .toggler:not(.collapsed)::after {
	content:""; width:9px; height:9px; position:absolute; right:20px;
	background-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
}
.descarga .toggler:not(.collapsed)::before {
	width:16px; height:16px;
	background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 16 16'%3E%3Cpath stroke='%2300C4DF' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.333' d='M2.667 11.336v1.333c0 .737.596 1.334 1.333 1.334h8c.736 0 1.333-.597 1.333-1.334v-1.333M4.667 7.336 8 10.669l3.333-3.333M8 2.664v8'/%3E%3C/svg%3E%0A");
}
.descarga .form {padding-bottom:16px;}
.descarga .form.container {--bs-gutter-x: 2rem;}
.descarga .msg {padding-bottom:16px; font-size:0.875rem; line-height:125%;}

@media (min-width: 992px) {
	.descarga .toggler {font-size:0.875rem;}
	.descarga .header {padding:15px 16px;}
	.descarga .form {padding-bottom:20px;}
	.descarga .form.container {max-width:870px;}
}
@media (min-width: 1200px) {
}




/**/
.login-bg {background:url(../img/bg_login_mobile.webp) no-repeat center bottom; background-size:cover; min-height:100vh;}

.login-box {width:100%; max-width:396px; margin:0 auto; padding:30px 16px; border-radius: 20px; background: #FFF;}
.login-box .intro {max-width:250px;}

@media (min-width: 768px) {
	.login-bg {background:url(../img/bg_login_desktop.png) no-repeat center bottom;}
}
@media (min-width: 992px) {
	
	.login-box {max-width:480px; padding:30px 47px;}
	.login-box .intro {max-width:100%;}
	.login-box .intro p:first-child {margin-left:-24px; margin-right:-24px;}
}




/**/
.box {border-radius:20px; background:#fff; box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.1);}

/* box01: editar perfil */
.box01 {display:flex; flex-direction:column; padding:30px 20px 40px; height:100%; gap:10px;}

/* home. buscador */
.box02 {padding:25px 16px;}
@media (min-width: 992px) {
	.box02 {padding:15px 44px;}
}

/* precompras */
.box03 {padding:25px 16px 35px; border-radius:10px;}

@media (min-width: 992px) {
	.box03 {padding:20px 10px;}
}




/* perfil, home, buscador */
.legend01 {padding:10px 0; font-size:14px; font-weight:600; line-height:125%; letter-spacing:0.42px; color:#002A67;}






/* home Carousel */
.slide-wrapper {padding-top:6px; margin-bottom:-10px; background:linear-gradient(180deg, #002447 52%, rgba(0, 36, 71, 0) 100%);}

.splide-home {}
.splide-home .splide__pagination {bottom:10%; /*66px;*/}
.splide-home .splide__pagination__page {background:#4F748E; width:10px; height:10px;}
.splide-home .splide__pagination__page.is-active {background:#00F1FF;}

/* .splide-home img {max-height:335px;} */

@media (min-width: 992px) {
	.slide-wrapper {padding-top:0px; margin-bottom:-40px; background:transparent;}
	
	.splide-home .splide__pagination {bottom:16%;}
}



/* datos del voucher: voucher emitidos, resultado busqueda, pagos y facturacion */
.tbl01 {color:#002A67; margin-bottom:23px;}
.tbl01 .heading {text-align:center; font-size:14px; font-weight:600; line-height:125%; letter-spacing:0.42px;}
.tbl01 dl {margin-bottom:0;}
.tbl01 dl > div {display:flex; justify-content:space-between; align-items:center; margin-top:15px;}
.tbl01 dl dt {font-size: 14px; font-weight: 600; line-height: 125%; letter-spacing: 0.42px;}
.tbl01 dl dd {font-size: 13px; text-align:right; margin-bottom:0;}

/* muestra tbl01 en columnas en lg */
.tbl01.tbl01-lg-col {}

/* variante con mayor gap entre elementos en mobile que en desktop */
.tbl01.tbl01-gap-lg {margin-bottom:0;}
.tbl01.tbl01-gap-lg dl > div {margin:0; padding:10px 0;}

/* datos del pasajero */
.tbl02 {color:#002A67; margin-bottom:30px; font-size:14px;}
.tbl02 .heading {text-align:center; font-weight:600; margin-bottom:15px;}
.tbl02 dl {margin-bottom:0; display:flex; flex-wrap: wrap; row-gap:15px;}
.tbl02 dl > div {width:100%;}
.tbl02 .heading, .tbl02 dl dt, .tbl02 dl dd {line-height:125%; letter-spacing:0.42px;}
.tbl02 dl dt {font-weight:600;}
.tbl02 dl dd {margin-bottom:0;}

@media (min-width: 992px) {
	.tbl01.tbl01-lg-col dl > div {display:inline-flex; margin-top:0;}
	.tbl01.tbl01-lg-col dl > div:not(:first-child) {margin-left:50px;}
	.tbl01.tbl01-lg-col dl dt {margin-right:30px;}
	
	.tbl01.tbl01-gap-lg dl > div {padding:5px 0;}
	
	.tbl02 .heading {text-align:left;}
	.tbl02 dl {justify-content:space-between; row-gap:0;}
	.tbl02 dl > div {width:auto;}
}

/* buscador */
.tbl03 {color:#002A67;}
.tbl03 dl {margin-bottom:0;}
.tbl03 dl > div {display:flex; justify-content:space-between; align-items:center; padding:10px 0 20px;}
.tbl03 dl dt {font-size: 14px; font-weight: 600; line-height: 125%; letter-spacing: 0.42px;}
.tbl03 dl dd {font-size: 14px; margin-bottom:0;}




/**/
.separador01 {padding:17px 0 25px;}
.separador01::after {content:""; display:block; height:2px; background-color:#c4c4c4;}

.separador02 {padding:17px 0 25px;}
.separador02::after {content:""; display:block; height:2px; background-color:#c4c4c4;}

.separador03 {padding:14px 0;}
.separador03::after {content:""; display:block; height:2px; background-color:#c4c4c4;}

@media (min-width: 992px) {
	.separador01 {padding:10px 0 25px;}
	.separador01::after {width:280px; margin:0 auto;}
	
	.separador02 {padding:15px 0 20px;}
	.separador02::after {}
}




/* */
.collapse-01 {}
.collapse-01 .trigger {position:absolute; right:10px; top:calc(50% - 12px);}
.collapse-01 .trigger .svg-icon {transition: transform 0.2s ease-in-out;}
.collapse-01 .trigger.collapsed .svg-icon {transform: rotate(-180deg);}



.bordered-cols-lg {}

@media (min-width: 992px) {
	.bordered-cols-lg {}
	.bordered-cols-lg > [class*="col"] {position:relative;}
	.bordered-cols-lg > [class*="col"]:not(:last-child):after {
		content:""; position:absolute; right:0; top:7px; bottom:7px; width:2px;
		background: #c4c4c4;
		/* background: linear-gradient(180deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 5%, rgba(196,196,196,1) 5%, rgba(196,196,196,1) 95%, rgba(255,255,255,1) 95%, rgba(255,255,255,1) 100%); */
	}
}


